Name:          takari-polyglot
Version:       0.4.6
Release:       %mkrel 2
Group:         Development/Java
Summary:       Modules to enable Maven usage in other JVM languages
License:       EPL-1.0
URL:           https://github.com/takari/polyglot-maven
Source0:       https://github.com/takari/polyglot-maven/archive/polyglot-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-model-builder)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.slf4j:slf4j-api)

BuildArch:     noarch

# Package was renamed upstream tesla -> takari F31
Provides:  tesla-polyglot = %{version}-%{release}
Obsoletes: tesla-polyglot < 0.4.4-3

%description
Polyglot for Maven is an experimental distribution of Maven
that allows the expression of a POM in something other than
XML. A couple of the dialects also have the capability to
write plugins inline: the Groovy, Ruby and Scala dialects
allow this.

%package atom
Summary: Takari Polyglot :: Atom
# Package was renamed upstream tesla -> takari F31
Provides:  tesla-polyglot-atom = %{version}-%{release}
Obsoletes: tesla-polyglot-atom < 0.4.4-3

%description atom
Takari Polyglot :: Atom.

%package common
Summary: Takari Polyglot :: Common
# Package was renamed upstream tesla -> takari F31
Provides:  tesla-polyglot-common = %{version}-%{release}
Obsoletes: tesla-polyglot-common < 0.4.4-3

# Obsoletes added for retired sub-packages in F31
Obsoletes: tesla-polyglot-groovy < 0.4.4-3
Obsoletes: tesla-polyglot-yaml < 0.4.4-3

%description common
Takari Polyglot :: Common.

%package xml
Summary: Takari Polyglot :: XML
# Package was renamed upstream tesla -> takari F31
Provides:  tesla-polyglot-xml = %{version}-%{release}
Obsoletes: tesla-polyglot-xml < 0.4.4-3

%description xml
Takari Polyglot :: XML.

%package maven-plugin
Summary: Takari Polyglot :: Maven Plugin
# Package was renamed upstream tesla -> takari F31
Provides:  tesla-polyglot-maven-plugin = %{version}-%{release}
Obsoletes: tesla-polyglot-maven-plugin < 0.4.4-3

%description maven-plugin
This package contains Takari Polyglot Maven Plugin.

%package translate-plugin
Summary: Polyglot :: Translate Plugin
# Package was renamed upstream tesla -> takari F31
Provides:  tesla-polyglot-translate-plugin = %{version}-%{release}
Obsoletes: tesla-polyglot-translate-plugin < 0.4.4-3

%description translate-plugin
This package contains Polyglot Translate Plugin.

%package javadoc
Summary: Javadoc for %{name}
# Package was renamed upstream tesla -> takari F31
Provides:  tesla-polyglot-javadoc = %{version}-%{release}
Obsoletes: tesla-polyglot-javadoc < 0.4.4-3

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n polyglot-maven-polyglot-%{version}

find -name "*.class" -delete
find -name "*.jar" -delete

# Unecessary for RPM builds
%pom_remove_plugin ":maven-enforcer-plugin"

# Takari stack is unavailable, so build like an ordinary maven plugin project
%pom_remove_parent
%pom_xpath_remove "pom:packaging" polyglot-common polyglot-atom polyglot-xml
%pom_xpath_set "pom:packaging" "maven-plugin" polyglot-maven-plugin polyglot-translate-plugin
%pom_add_plugin org.apache.maven.plugins:maven-compiler-plugin:3.0 '
<configuration>
 <source>1.8</source>
 <target>1.8</target>
 <encoding>UTF-8</encoding>
</configuration>'
for p in maven-plugin translate-plugin; do
  %pom_add_plugin "org.apache.maven.plugins:maven-plugin-plugin" polyglot-${p} "
  <configuration>
    <skipErrorNoDescriptorsFound>true</skipErrorNoDescriptorsFound>
  </configuration>"
  %pom_xpath_inject "pom:dependency[pom:groupId = 'org.apache.maven']" "<version>3.3.1</version>" polyglot-${p}
done
%pom_xpath_inject "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'org.apache.maven']" '<version>${mavenVersion}</version>'

# Unavailable build deps/tools
%pom_disable_module polyglot-clojure
%pom_disable_module polyglot-scala
%pom_remove_dep -r :polyglot-scala
%pom_disable_module polyglot-ruby
%pom_remove_dep -r :polyglot-ruby
%pom_disable_module polyglot-groovy
%pom_remove_dep -r :polyglot-groovy
%pom_disable_module polyglot-java
%pom_remove_dep -r :polyglot-java
%pom_disable_module polyglot-kotlin
%pom_remove_dep -r :polyglot-kotlin
%pom_disable_module polyglot-yaml
%pom_remove_dep -r :polyglot-yaml

# Test dep com.cedarsoftware:java-util:1.19.3 is missing from Fedora
sed -i '/DeepEquals/d' polyglot-xml/src/test/java/org/sonatype/maven/polyglot/xml/TestReaderComparedToDefault.java
%pom_remove_dep com.cedarsoftware:java-util polyglot-xml

# Back-compat aliases
%mvn_alias ':polyglot-{*}' io.tesla.polyglot:tesla-polyglot-@1

%build
%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-polyglot
%doc poms
%license LICENSE.txt

%files atom -f .mfiles-polyglot-atom

%files common -f .mfiles-polyglot-common
%license LICENSE.txt

%files xml -f .mfiles-polyglot-xml
%doc polyglot-xml/README.md

%files maven-plugin -f .mfiles-polyglot-maven-plugin

%files translate-plugin -f .mfiles-polyglot-translate-plugin

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.4.6-2.mga9
+ Revision: 1827691
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 daviddavid <daviddavid> 0.4.6-1.mga9
+ Revision: 1691687
- Update to latest upstream release 0.4.6

* Tue Dec 08 2020 neoclust <neoclust> 0.4.5-3.mga8
+ Revision: 1654645
- Remove unneeded patch

* Sun Nov 08 2020 daviddavid <daviddavid> 0.4.5-1.mga8
+ Revision: 1643561
- Update to latest upstream release 0.4.5

* Fri Oct 23 2020 daviddavid <daviddavid> 0.4.4-1.mga8
+ Revision: 1638800
- Update to latest upstream release 0.4.4
- Rebuilt for JDK-11
- Add missing requires/obsoletes
- Fixed review feedback items
- package renamed from tesla-polyglot to takari-polyglot
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.18-4.mga7
+ Revision: 1276679
- Mageia 7 Mass Rebuild

* Sat May 20 2017 neoclust <neoclust> 0.1.18-3.mga6
+ Revision: 1103512
- New version 0.1.18
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0.1.14-2.mga6
+ Revision: 978194
- First rebuild of the java stack
- sync package tesla-polyglot with fedora
- imported package tesla-polyglot

